/*
   CBEZ-Pro BasicControlDLL HeaderFile
   cbezpbc.h
   
   2003-2010(C) OCT Co.,Ltd. AllRightsReserved
*/

#include "cbezpbcd.h"      /* original data type define */

#define CBEZ_OK      0

#define CBEZ_DLLCMD_IDLE      0x00
#define CBEZ_DLLCMD_OPEN      0x01
#define CBEZ_DLLCMD_CLOSE      0x02
#define CBEZ_DLLCMD_CLEAR      0x03
#define CBEZ_DLLCMD_RESET      0x04
#define CBEZ_DLLCMD_GETPCB      0x05
#define CBEZ_DLLCMD_GETCBD      0x06
#define CBEZ_DLLCMD_GETBUD      0x07
#define CBEZ_DLLCMD_BILLSTK      0x08

#define CBEZ_DLLCMD_TRADEBG      0x10
#define CBEZ_DLLCMD_TRADEED      0x11
#define CBEZ_DLLCMD_ACCEPT      0x12
#define CBEZ_DLLCMD_CHARGE      0x13
#define CBEZ_DLLCMD_PAYBACK      0x14
#define CBEZ_DLLCMD_PAYOUT      0x15

#define CBEZ_DLLCMD_7SEGD      0x21
#define CBEZ_DLLCMD_7SEGN      0x22
#define CBEZ_DLLCMD_7SEGP      0x23
#define CBEZ_DLLCMD_BUZZCTRL   0x24
#define CBEZ_DLLCMD_OUTPORT      0x25
#define CBEZ_DLLCMD_USERCNT      0x26


extern "C" __declspec(dllimport) int __stdcall CBEZ_Open(CBEZ_HANDLE *handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_Close(CBEZ_HANDLE handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_Reset(CBEZ_HANDLE handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_ClearBackup(CBEZ_HANDLE handle);

extern "C" __declspec(dllimport) int __stdcall CBEZ_GetPCBData(CBEZ_HANDLE handle, CBEZ_PcbInfo *data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_GetCBEZData(CBEZ_HANDLE handle, CBEZ_DataArray *data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_GetBackupData(CBEZ_HANDLE handle, CBEZ_DataArray *data);

extern "C" __declspec(dllimport) int __stdcall CBEZ_TradeBegin(CBEZ_HANDLE handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_TradeEnd(CBEZ_HANDLE handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_Accept(CBEZ_HANDLE handle, WORD amount);
extern "C" __declspec(dllimport) int __stdcall CBEZ_AcceptEx(CBEZ_HANDLE handle, WORD amount, WORD option);
extern "C" __declspec(dllimport) int __stdcall CBEZ_Charge(CBEZ_HANDLE handle, WORD amount);
extern "C" __declspec(dllimport) int __stdcall CBEZ_PayBack(CBEZ_HANDLE handle);
extern "C" __declspec(dllimport) int __stdcall CBEZ_PayOut(CBEZ_HANDLE handle, WORD amount);

extern "C" __declspec(dllimport) int __stdcall CBEZ_7SegDot(CBEZ_HANDLE handle, BYTE data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_7SegNum(CBEZ_HANDLE handle, BYTE type, WORD data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_7SegPtn(CBEZ_HANDLE handle, BYTE *data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_BuzzCtrl(CBEZ_HANDLE handle, BYTE length, BYTE *data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_OutputPort(CBEZ_HANDLE handle, BYTE data);
extern "C" __declspec(dllimport) int __stdcall CBEZ_UserCnt(CBEZ_HANDLE handle, BYTE type, BYTE offset);


